> For the complete documentation index, see [llms.txt](https://ynteq.gitbook.io/ynteq-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://ynteq.gitbook.io/ynteq-docs/api-docs/additions.md).

# Additions

Supplementary info for more detailed instructions in a Work Order

## Assign User

> Assign a user to a work order by creating a user assignee relationship.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Additions","description":"Supplementary info for more detailed instructions in a Work Order"}],"paths":{"/api/rest/work-order-user-assignees":{"post":{"tags":["Additions"],"summary":"Assign User","description":"Assign a user to a work order by creating a user assignee relationship.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"description":"_\"userId\" is required (enter it either in parameters or request body)_","in":"query","name":"userId","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}},{"description":"_\"workOrderId\" is required (enter it either in parameters or request body)_","in":"query","name":"workOrderId","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"userId":{"$ref":"#/components/schemas/uuid!"},"workOrderId":{"$ref":"#/components/schemas/uuid!"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"insert_workorderusers_one":{"description":"columns and relationships of \"workorderusers\"","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"user_id":{"$ref":"#/components/schemas/uuid!"},"workorder_id":{"$ref":"#/components/schemas/uuid!"}},"title":"workorderusers","type":"object"}}}}},"description":"Responses for POST /api/rest/work-order-user-assignees"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```

## List Users

> Retrieve a list of users with their basic information (name, email) with pagination support.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Additions","description":"Supplementary info for more detailed instructions in a Work Order"}],"paths":{"/api/rest/users":{"get":{"tags":["Additions"],"summary":"List Users","description":"Retrieve a list of users with their basic information (name, email) with pagination support.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"in":"query","name":"limit","schema":{"type":"integer"}},{"in":"query","name":"offset","schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"limit":{"nullable":true,"title":"Int","type":"integer"},"offset":{"nullable":true,"title":"Int","type":"integer"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"users":{"items":{"description":"columns and relationships of \"users\"","nullable":false,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"},"nullable":false,"type":"array"}}}}},"description":"Responses for GET /api/rest/users"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```

## Get User

> Retrieve detailed information about a specific user by their ID.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Additions","description":"Supplementary info for more detailed instructions in a Work Order"}],"paths":{"/api/rest/users/{id}":{"get":{"tags":["Additions"],"summary":"Get User","description":"Retrieve detailed information about a specific user by their ID.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"description":"_\"id\" is required (enter it either in parameters or request body)_","in":"path","name":"id","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"$ref":"#/components/schemas/uuid!"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"users_by_pk":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}}}}},"description":"Responses for GET /api/rest/users/{id}"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```

## Assign Team

> Assign a team to a work order by creating a team assignee relationship.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Additions","description":"Supplementary info for more detailed instructions in a Work Order"}],"paths":{"/api/rest/work-order-team-assignees":{"post":{"tags":["Additions"],"summary":"Assign Team","description":"Assign a team to a work order by creating a team assignee relationship.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"description":"_\"teamId\" is required (enter it either in parameters or request body)_","in":"query","name":"teamId","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}},{"description":"_\"workOrderId\" is required (enter it either in parameters or request body)_","in":"query","name":"workOrderId","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"teamId":{"$ref":"#/components/schemas/uuid!"},"workOrderId":{"$ref":"#/components/schemas/uuid!"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"insert_workorder_team_assignees_one":{"description":"columns and relationships of \"workorder_team_assignees\"","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"team_id":{"$ref":"#/components/schemas/uuid!"},"workorder_id":{"$ref":"#/components/schemas/uuid!"}},"title":"workorder_team_assignees","type":"object"}}}}},"description":"Responses for POST /api/rest/work-order-team-assignees"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```

## List Teams

> Retrieve a list of teams with their members with pagination support.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Additions","description":"Supplementary info for more detailed instructions in a Work Order"}],"paths":{"/api/rest/teams":{"get":{"tags":["Additions"],"summary":"List Teams","description":"Retrieve a list of teams with their members with pagination support.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"in":"query","name":"limit","schema":{"type":"integer"}},{"in":"query","name":"offset","schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"limit":{"nullable":true,"title":"Int","type":"integer"},"offset":{"nullable":true,"title":"Int","type":"integer"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"teams":{"items":{"description":"columns and relationships of \"teams\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"},"team_members":{"items":{"description":"columns and relationships of \"team_members\"","nullable":false,"properties":{"user":{"description":"columns and relationships of \"users\"","nullable":false,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}},"title":"team_members","type":"object"},"nullable":false,"type":"array"}},"title":"teams","type":"object"},"nullable":false,"type":"array"}}}}},"description":"Responses for GET /api/rest/teams"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```

## Get Team

> Retrieve detailed information about a specific team by its ID, including team members.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Additions","description":"Supplementary info for more detailed instructions in a Work Order"}],"paths":{"/api/rest/teams/{id}":{"get":{"tags":["Additions"],"summary":"Get Team","description":"Retrieve detailed information about a specific team by its ID, including team members.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"description":"_\"id\" is required (enter it either in parameters or request body)_","in":"path","name":"id","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"$ref":"#/components/schemas/uuid!"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"teams_by_pk":{"description":"columns and relationships of \"teams\"","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"},"team_members":{"items":{"description":"columns and relationships of \"team_members\"","nullable":false,"properties":{"user":{"description":"columns and relationships of \"users\"","nullable":false,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}},"title":"team_members","type":"object"},"nullable":false,"type":"array"}},"title":"teams","type":"object"}}}}},"description":"Responses for GET /api/rest/teams/{id}"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```

## Create Subtask

> Create a new subtask for a work order with a description and completion status.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Additions","description":"Supplementary info for more detailed instructions in a Work Order"}],"paths":{"/api/rest/work-order-subtasks":{"post":{"tags":["Additions"],"summary":"Create Subtask","description":"Create a new subtask for a work order with a description and completion status.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"in":"query","name":"isCompleted","schema":{"type":"boolean"}},{"description":"_\"subtaskName\" is required (enter it either in parameters or request body)_","in":"query","name":"subtaskName","schema":{"type":"string"}},{"description":"_\"workOrderId\" is required (enter it either in parameters or request body)_","in":"query","name":"workOrderId","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"isCompleted":{"nullable":true,"title":"Boolean","type":"boolean"},"subtaskName":{"nullable":false,"title":"String","type":"string"},"workOrderId":{"$ref":"#/components/schemas/uuid!"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"insert_instructions_one":{"description":"columns and relationships of \"instructions\"","nullable":true,"properties":{"created_at":{"$ref":"#/components/schemas/timestamp"},"id":{"$ref":"#/components/schemas/uuid!"},"is_completed":{"nullable":true,"title":"Boolean","type":"boolean"},"step_description":{"nullable":false,"title":"String","type":"string"},"work_order_id":{"$ref":"#/components/schemas/uuid"}},"title":"instructions","type":"object"}}}}},"description":"Responses for POST /api/rest/work-order-subtasks"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"timestamp":{"nullable":true,"title":"timestamp"},"uuid":{"nullable":true,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```

## List Work Types

> Retrieve a list of work types with their display properties (name, icon, color) with pagination support.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Additions","description":"Supplementary info for more detailed instructions in a Work Order"}],"paths":{"/api/rest/work-types":{"get":{"tags":["Additions"],"summary":"List Work Types","description":"Retrieve a list of work types with their display properties (name, icon, color) with pagination support.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"in":"query","name":"limit","schema":{"type":"integer"}},{"in":"query","name":"offset","schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"limit":{"nullable":true,"title":"Int","type":"integer"},"offset":{"nullable":true,"title":"Int","type":"integer"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"work_types":{"items":{"description":"columns and relationships of \"work_types\"","nullable":false,"properties":{"color":{"nullable":false,"title":"String","type":"string"},"icon_name":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"},"order":{"nullable":false,"title":"Int","type":"integer"}},"title":"work_types","type":"object"},"nullable":false,"type":"array"}}}}},"description":"Responses for GET /api/rest/work-types"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```

## Get Work Type

> Retrieve detailed information about a specific work type by its ID.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Additions","description":"Supplementary info for more detailed instructions in a Work Order"}],"paths":{"/api/rest/work-types/{id}":{"get":{"tags":["Additions"],"summary":"Get Work Type","description":"Retrieve detailed information about a specific work type by its ID.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"description":"_\"id\" is required (enter it either in parameters or request body)_","in":"path","name":"id","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"$ref":"#/components/schemas/uuid!"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"work_types_by_pk":{"description":"columns and relationships of \"work_types\"","nullable":true,"properties":{"color":{"nullable":false,"title":"String","type":"string"},"icon_name":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"},"order":{"nullable":false,"title":"Int","type":"integer"}},"title":"work_types","type":"object"}}}}},"description":"Responses for GET /api/rest/work-types/{id}"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```

## List Statuses

> Retrieve a list of statuses with their type classifications with pagination support.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Additions","description":"Supplementary info for more detailed instructions in a Work Order"}],"paths":{"/api/rest/statuses":{"get":{"tags":["Additions"],"summary":"List Statuses","description":"Retrieve a list of statuses with their type classifications with pagination support.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"in":"query","name":"limit","schema":{"type":"integer"}},{"in":"query","name":"offset","schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"limit":{"nullable":true,"title":"Int","type":"integer"},"offset":{"nullable":true,"title":"Int","type":"integer"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"status":{"items":{"description":"columns and relationships of \"status\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"},"type":{"nullable":false,"title":"String","type":"string"}},"title":"status","type":"object"},"nullable":false,"type":"array"}}}}},"description":"Responses for GET /api/rest/statuses"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```

## Get Status

> Retrieve detailed information about a specific status by its ID.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Additions","description":"Supplementary info for more detailed instructions in a Work Order"}],"paths":{"/api/rest/statuses/{id}":{"get":{"tags":["Additions"],"summary":"Get Status","description":"Retrieve detailed information about a specific status by its ID.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"description":"_\"id\" is required (enter it either in parameters or request body)_","in":"path","name":"id","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"$ref":"#/components/schemas/uuid!"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"status_by_pk":{"description":"columns and relationships of \"status\"","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"},"type":{"nullable":false,"title":"String","type":"string"}},"title":"status","type":"object"}}}}},"description":"Responses for GET /api/rest/statuses/{id}"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://ynteq.gitbook.io/ynteq-docs/api-docs/additions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
